Bug 1602421 - feh no longer depends on giblib
Summary: feh no longer depends on giblib
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: feh (Show other bugs)
(Show other bugs)
Version: 29
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-18 10:45 UTC by barsnick
Modified: 2018-11-14 03:23 UTC (History)
3 users (show)

Fixed In Version: feh-2.28-1.fc27 feh-2.28-1.fc29 feh-2.28-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-11-14 02:55:42 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description barsnick 2018-07-18 10:45:38 UTC
Description of problem:
feh still has a BuildRequires on giblib-devel. This is no longer needed.

Version-Release number of selected component (if applicable):
2.19.3-2

Additional info:
According to the ChangeLog of feh, the relevant parts of giblib were integrated into its source in 2.12 (!). Therefore, the BuildRequires on giblib-devel can be dropped. This would also allow to build feh for EPEL{6,7}, where giblib isn't provided.

Note: please consider an update (bz #1438979), it's a breeze!

Comment 1 Jan Kurik 2018-08-14 09:52:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Fedora Update System 2018-10-27 17:17:27 UTC
feh-2.28-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3ac43a1e15

Comment 3 Fedora Update System 2018-10-27 17:17:41 UTC
feh-2.28-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a84b6d0071

Comment 4 Fedora Update System 2018-10-27 17:17:53 UTC
feh-2.28-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-56ec0ccd82

Comment 5 Fedora Update System 2018-10-28 18:46:47 UTC
feh-2.28-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-56ec0ccd82

Comment 6 Fedora Update System 2018-10-28 18:54:37 UTC
feh-2.28-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3ac43a1e15

Comment 7 Fedora Update System 2018-10-31 18:50:10 UTC
feh-2.28-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a84b6d0071

Comment 8 Fedora Update System 2018-11-14 02:55:42 UTC
feh-2.28-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-11-14 03:12:06 UTC
feh-2.28-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-11-14 03:23:40 UTC
feh-2.28-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.